"use strict";
import axios from "axios";
import {Toast} from 'vant'

// 请求数
let LOADINGCOUNT = 0;
let LOADING;

let config = {
  baseURL: import.meta.env.VITE_APP_MFYX_BASEAPIURL,
  timeout: 60 * 1000, // Timeout
};

const _axios = axios.create(config);

_axios.interceptors.request.use(
  function (config) {
    // Do something before request is sent
    let auth = localStorage.getItem("access_token") || "";
    if (auth) {
      config.headers.Authorization = auth;
    }

    return config;
  },
  function (error) {
    // Do something with request error
    return Promise.reject(error);
  }
);

// Add a response interceptor
_axios.interceptors.response.use(
  function (response) {
    
    return response.data;
  },
  function (error) {
    // Do something with response error
    return Promise.reject(error);
  }
);

/**
 * 导出get请求方法
 * @url 请求地址
 * @params get请求参数
 */
export const get = (url, params) => {
  return _axios.get(url, { params })
};

/**
 * 导出post请求方法
 * @url 请求地址
 * @params post请求参数
 */
export const post = (url,params) => {
  return _axios.post(url, params)
};
